Bug 1258724 - Deployment is triggered even no triggers are defined on a deployment configuration
Deployment is triggered even no triggers are defined on a deployment configur...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Deployments (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
Yan Du
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 02:13 EDT by Xingxing Xia
Modified: 2015-09-08 16:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-08 16:14:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xingxing Xia 2015-09-01 02:13:16 EDT
Description of problem:
When creating a DeploymentConfig on which no triggers are defined, a deployment should not be created automatically.

Version-Release number of selected component (if applicable):
devenv-fedora_2246

How reproducible:
Always


Steps to Reproduce:
1. oc login and create your own project
# oc login
# oc new-project prjtest

2. Create dc according the given json file below and check the dc status
# oc create -f https://raw.githubusercontent.com/openshift-qe/v3-testfiles/master/deployment/manual.json
# oc deploy hooks
# oc get dc hooks

Actual results:
2.
# oc create -f https://raw.githubusercontent.com/openshift-qe/v3-testfiles/master/deployment/manual.json
deploymentconfig "hooks" created
# oc deploy hooks
hooks #1 deployment running for 10 seconds - 1 pod
# oc get dc hooks
NAME      TRIGGERS       LATEST VERSION
hooks     ConfigChange   1

Expected results:
2.
# oc deploy hooks
hooks #1 deployment waiting for manual
# oc get dc hooks
NAME      TRIGGERS   LATEST VERSION
hooks                0


Additional info:
Comment 1 Dan Mace 2015-09-01 09:53:07 EDT
As of this commit:

https://github.com/openshift/origin/commit
/654eff61d660d15ccab866e9cd7452b206010220

configChange is the default when triggers are ommitted. To specify no triggers, add `triggers: []` to the json.
Comment 2 Dan Mace 2015-09-01 10:00:05 EDT
Related: https://github.com/openshift/origin/pull/4446
Comment 3 Xingxing Xia 2015-09-05 23:33:15 EDT
Verified against  devenv_fedora_2287. Actual result is: when triggers are ommitted, it defaults to CongfigChange. If specify 'triggers: []', it means really to specify no triggers, and need manual deployment.

Note You need to log in before you can comment on or make changes to this bug.